<< check | FOSSEE_Signal_Processing_Toolbox | circshift >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > chirp

# chirp

Generate a chirp signal.

### Syntax

    y = chirp(t)
    y = chirp(t, f0)
    y = chirp(t, f0, t1)
    y = chirp(t, f0, t1, f1)
    y = chirp(t, f0, t1, f1, form)
    y = chirp(t, f0, t1, f1, form, phase)

### Parameters

t:

  Vector. Times to evaluate the chirp signal.

f0:

  Real scalar. Frequency at t=0. Default is 0 Hz.

t1:

  Real scalar. Intermediate time. Default is 1 second.

f1:

  Real scalar. Frequency at t1. Default is 100 Hz.

form:

  String. Form of the chirp signal. Can be "linear", "quadratic", or "logarithmic". Default is "linear".

phase:

  Real scalar. Phase shift at t=0 in degrees. Default is 0.

y:

  Vector. Chirp signal values corresponding to `t`.

### Description

This function generates a chirp signal, which is a frequency-swept cosine wave. The signal can be linear, quadratic, or logarithmic based on the `form` parameter.

### Examples

    t = [4, 3, 2, 1]
    f0 = 4
    t1 = 5
    f1 = 0.9
    form = "quadratic"
    y = chirp(t, f0, t1, f1, form)

Report an issue
<< check | FOSSEE_Signal_Processing_Toolbox | circshift >>